GET /api/v202307/ghg/factor

Retrieves all the ghg factors

GetGHGFactorsV202307 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter The api filters> string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
ghgFactorCategoryId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
ghgFactorCategoryInfo GHG Factor Category Name String equals not equals one of like not like not one of
ghgFactorInfo GHG Factor String equals not equals one of like not like not one of
ghgFactorRegionId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
ghgFactorRegionInfo GHG Factor Region Name String equals not equals one of like not like not one of
unitCode Unit abbreviation String equals not equals one of like not like not one of
unitId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
unitInfo Unit Name String equals not equals one of like not like not one of
unitTypeCode Unit Type Code String equals not equals one of like not like not one of
unitTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
unitTypeInfo Unit Type Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGFactorResponseV202307
Property Description Type
factorCategory GHGFactorCategoryV202210
GHGFactorCategoryV202210 properties
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
factorCode The factor code string
factorDescription The factor description string
factorId The factor identifier integer (int32)
factorInfo The factor info string
factorRegion GHGFactorRegionV202307
GHGFactorRegionV202307 properties
Property Description Type
factorRegionId The Factor Region identifier integer (int32)
factorRegionInfo The Factor Region info string
fromUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
model The model string
sourceOrganization The source organization string
Example Response application/json
[
  {    "factorCategory": {      "factorCategoryId": 1,      "factorCategoryInfo": "string"
    },    "factorCode": "string",    "factorDescription": "string",    "factorId": 1,    "factorInfo": "string",    "factorRegion": {      "factorRegionId": 1,      "factorRegionInfo": "string"
    },    "fromUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "model": "string",    "sourceOrganization": "string"
  }
]